public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Jiri Moskovcak <jmoskovc@redhat.com>
To: git-commits@fedoraproject.org
Subject: [rpms/abrt] update-2.17.9-f44: forgot to push abrt-vmcore.init
Date: Mon, 03 Aug 2026 11:03:29 GMT [thread overview]
Message-ID: <178575500945.1.1256432793828341814.rpms-abrt-942930fbdae7@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : rpms/abrt
Branch : update-2.17.9-f44
Commit : 942930fbdae7cf7cb233414276f4dafc7b0e7f72
Author : Jiri Moskovcak <jmoskovc@redhat.com>
Date : 2011-10-03T12:40:15+02:00
Stats : +79/-0 in 1 file(s)
URL : https://src.fedoraproject.org/rpms/abrt/c/942930fbdae7cf7cb233414276f4dafc7b0e7f72?branch=update-2.17.9-f44
Log:
forgot to push abrt-vmcore.init
---
diff --git a/abrt-vmcore.init b/abrt-vmcore.init
new file mode 100644
index 0000000..34e69ea
--- /dev/null
+++ b/abrt-vmcore.init
@@ -0,0 +1,79 @@
+#!/bin/bash
+# Harvest vmcores for ABRT
+#
+# chkconfig: 35 82 16
+# description: Installs coredump handler which saves segfault data
+### BEGIN INIT INFO
+# Provides: abrt-vmcore
+# Required-Start: $abrtd
+# Default-Stop: 0 1 2 6
+# Default-Start: 3 5
+# Short-Description: Collects vmcore (kernel crash data) for ABRT
+# Description: Collects vmcore (kernel crash data) for ABRT
+### END INIT INFO
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+LOCK="/var/lock/subsys/abrt-vmcore"
+HARVEST_CMD="/usr/sbin/abrt-harvest-vmcore"
+
+RETVAL=0
+
+check() {
+ # Check that we're a privileged user
+ [ "`id -u`" = 0 ] || exit 4
+}
+
+start() {
+ check
+ "$HARVEST_CMD"
+ RETVAL=$?
+ [ $RETVAL -eq 0 ] && touch -- "$LOCK"
+ return $RETVAL
+}
+
+stop() {
+ check
+ rm -f -- "$LOCK"
+ return 0
+}
+
+restart() {
+ stop
+ start
+}
+
+reload() {
+ restart
+}
+
+case "$1" in
+start)
+ start
+ ;;
+stop)
+ stop
+ ;;
+reload)
+ reload
+ ;;
+force-reload)
+ echo "$0: Unimplemented feature."
+ RETVAL=3
+ ;;
+restart)
+ restart
+ ;;
+condrestart)
+ test -f "$LOCK" && restart
+ ;;
+status)
+ test -f "$LOCK" && RETVAL=0 || RETVAL=3
+ ;;
+*)
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|reload|force-reload}"
+ RETVAL=2
+esac
+
+exit $RETVAL
reply other threads:[~2026-08-03 11:03 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178575500945.1.1256432793828341814.rpms-abrt-942930fbdae7@fedoraproject.org \
--to=jmoskovc@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox